//this file is part of NeoMule
//Copyright (C)2006 David Xanatos ( Xanatos@Lycos.at / http://neomule.sourceforge.net )
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


#pragma once
#include "Sion\GUI\CP\TreeOptionsCtrl.h" // NEO - [TreeControl] <-- Xanatos --

class CPPgNeo : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgNeo)

public:
	CPPgNeo();
	virtual ~CPPgNeo();

// Dialog Data
	enum { IDD = IDD_PPG_MOD };

protected:
	CTreeOptionsCtrl m_ctrlTreeOptions; // NEO - [TreeControl] <-- Xanatos --
	bool m_bInitializedTreeOpts;
	HTREEITEM m_htiMain;
		HTREEITEM m_htiUseSaveComments; // NEO: XC - [ExtendedComments]
		HTREEITEM m_htiUseKnownComments; // NEO: XCk - [ExtendedKnownComments]
#ifdef ISPBYPASS // NEO: SCC - [SecureClinetConnection]
		HTREEITEM m_htiSupportISPBypass;
			HTREEITEM m_htiNeedISPBypass;
			HTREEITEM m_htiEncryptedPorts;
#endif // ISPBYPASS // NEO: SCC END
		HTREEITEM m_htiUseLugdunumCredits; // NEO: KLC - [KhaosLugdunumCredits]
		// NEO: ASF END
		HTREEITEM m_htiUseCustomPermissions; // NEO: SSP - [ShowSharePermissions]

	bool	m_bUseSaveComments; // NEO: XC - [ExtendedComments]
	bool	m_bUseKnownComments; // NEO: XCk - [ExtendedKnownComments]
#ifdef ISPBYPASS // NEO: SCC - [SecureClinetConnection]
	UINT	m_uSupportISPBypass;
	CString m_strEncryptedPorts;
	UINT	m_uNeedISPBypass;
#endif // ISPBYPASS // NEO: SCC END
	UINT	m_uUseLugdunumCredits; // NEO: KLC - [KhaosLugdunumCredits]
	bool	m_bUseCustomPermissions; // NEO: SSP - [ShowSharePermissions]
	CString	m_sCommunity; // NEO: NC - [NiceCommunity]


	void ClearAllMembers();

	//void Localize();
	void LoadSettings();

	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();
	virtual BOOL OnKillActive();
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
	afx_msg void OnDestroy();
	afx_msg LRESULT OnTreeOptsCtrlNotify(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT DrawTreeItemHelp(WPARAM wParam, LPARAM lParam);
	afx_msg void OnHelp();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);

private:
};
